Summary:        Utilities for configuring the linux ethernet bridge
Name:           bridge-utils
Version:        1.7.1
Release:        1%{?dist}
License:        GPLv2+
URL:            https://wiki.linuxfoundation.org/networking/bridge
Source0:        https://git.kernel.org/pub/scm/network/bridge/%{name}.git/snapshot/%{name}-%{version}.tar.gz

BuildRequires: make libsysfs-devel autoconf automake libtool gcc kernel-headers >= 2.6.16

%description
A bridge is a way to connect two Ethernet segments together in a protocol
independent way. Packets are forwarded based on Ethernet address, rather
than IP address (like a router). Since forwarding is done at Layer 2, all
protocols can go transparently through a bridge.

%prep
%autosetup

%build
autoconf
%configure
%make_build

%install
%make_install SUBDIRS="brctl doc"

%files
%license COPYING
%doc AUTHORS doc/FAQ doc/HOWTO
%{_sbindir}/brctl
%{_mandir}/man8/brctl.8*

%changelog
* Thu May 25 2023 cunshunxia <cunshunxia@tencent.com> - 1.7.1-1
- initial build
